package com.zjrs.zwnw.dbgl.bpo.impl;

import org.mohrss.leaf.core.framework.persistens.PageResult;
import com.zjrs.zwnw.dbgl.blo.DbrwjzcxPLO;
import com.zjrs.zwnw.dbgl.bpo.DbrwjzcxBPO;
import com.zjrs.zwnw.dbgl.dto.DbrwglDbrwQueryDTO;
import org.springframework.stereotype.Service;

import jakarta.annotation.Resource;
import jakarta.servlet.http.HttpServletResponse;

/**
 * @author dagou
 * @date 2022/11/24 18:13
 **/
@Service
public class DbrwjzcxBPOimpl implements DbrwjzcxBPO {

    @Resource
    private DbrwjzcxPLO dbrwjzcxPLO;

    @Override
    public PageResult getDbrwjzcxList(DbrwglDbrwQueryDTO dto, Integer pagenum, Integer pagesize) {
        return dbrwjzcxPLO.getDbrwjzcxList(dto,pagenum,pagesize);
    }

    @Override
    public void exportDbrwjzcxList(DbrwglDbrwQueryDTO dto, HttpServletResponse res) {
        dbrwjzcxPLO.exportDbrwjzcxList(dto,res);
    }

    @Override
    public void insertSMS() {
        dbrwjzcxPLO.insertSMS();
    }
}
